---
title:  "Quick start guide"
description: "SpaceVim is a community-driven vim distribution that seeks to provide layer feature."
---


# Quick start guide

If you haven’t seen SpaceVim at all yet, the first thing you should read is The Quick start guide.
It will give you a good idea of what SpaceVim is like,
show you how to install it, and explain its features.

Upon completing the book, you’ll be an intermediate Rust developer, and will have a good grasp of the fundamental ideas behind Rust.

<!-- vim-markdown-toc GFM -->

- [Install](#install)
  - [Linux and macOS](#linux-and-macos)
  - [Windows](#windows)
- [Learning SpaceVim](#learning-spacevim)

<!-- vim-markdown-toc -->

## Install

At a minimum, SpaceVim requires `git` and `curl` to be installed. These tools
are needed for downloading plugins and fonts.

If you are using vim/neovim in terminal, you also need to set the font of your terminal.

### Linux and macOS

```bash
curl -sLf https://spacevim.org/install.sh | bash
```

After SpaceVim is installed, launch `vim` and SpaceVim will **automatically** install plugins.

For more info about the install script, please check:

```bash
curl -sLf https://spacevim.org/install.sh | bash -s -- -h
```

### Windows

The easiest way is to download [install.cmd](https://spacevim.org/install.cmd) and run it as administrator, or install SpaceVim manually.


## Learning SpaceVim

- [SpaceVim Documentation](../documentation). Also known as "The Book", The SpaceVim Documentation will introduce
you to the main topics important to using SpaceVim. The book is the primary official document of the language.
- [Hack-SpaceVim](https://github.com/Gabirel/Hack-SpaceVim). Tell you how to hack SpaceVim.
